Bug 28987 - Make the Document cache the Page's user stylesheet in parsed form
Summary: Make the Document cache the Page's user stylesheet in parsed form
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-04 15:31 PDT by Dave Hyatt
Modified: 2009-10-12 20:54 PDT (History)
1 user (show)

See Also:


Attachments
Patch (8.11 KB, patch)
2009-09-04 15:32 PDT, Dave Hyatt
eric: review+
eric: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2009-09-04 15:31:08 PDT
This is just a minor optimization to ensure we don't reparse the user stylesheet just because the CSSStyleSelector went away (which can happen if you add/remove sheets or for some other reasons).
Comment 1 Dave Hyatt 2009-09-04 15:32:32 PDT
Created attachment 39092 [details]
Patch
Comment 2 Eric Seidel (no email) 2009-09-05 16:31:22 PDT
Comment on attachment 39092 [details]
Patch

OK.  r+, cq-.  Hyatt can set cq+ himself if he wants the bot to land this for him.
Comment 3 Dave Hyatt 2009-09-08 13:27:11 PDT
Fixed in r48181.
Comment 4 rahul abrol 2009-10-12 20:54:55 PDT
this fix broke simple selectors in my user stylesheet.  #someId and div#someId are no longer recognized; i have to use div[id="someId"].

i'm using tiger on PPC if it matters.